%global mod_name Whoosh

Name:           python-whoosh
Version:        2.7.4
Release:        %mkrel 1
Summary:        Fast, pure-Python full text indexing, search, and spell checking library
License:        BSD
Group:          Development/Python
URL:            http://pythonhosted.org/Whoosh/
Source0:        https://pypi.python.org/packages/source/W/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

%description
Whoosh is a fast, featureful full-text indexing and searching library
implemented in pure Python. Programmers can use it to easily add search
functionality to their applications and websites. Every part of how Whoosh
works can be extended or replaced to meet your needs exactly.

%package -n python3-whoosh
Summary:        Fast, pure-Python full text indexing, search, and spell checking library
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description -n python3-whoosh
Whoosh is a fast, featureful full-text indexing and searching library
implemented in pure Python. Programmers can use it to easily add search
functionality to their applications and websites. Every part of how Whoosh
works can be extended or replaced to meet your needs exactly.

%prep
%setup -q -n %{mod_name}-%{version}
sphinx-build docs/source docs/html
rm -f docs/html/.buildinfo
rm -rf docs/html/.doctrees

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc docs/html/ README.txt LICENSE.txt
%{python2_sitelib}/*.egg-info/
%{python2_sitelib}/whoosh

%files -n python3-whoosh
%doc docs/html/ README.txt LICENSE.txt
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/whoosh


%changelog
* Wed May 11 2016 dglent <dglent> 2.7.4-1.mga6
+ Revision: 1012415
- Version 2.7.4

* Fri Feb 19 2016 umeabot <umeabot> 2.7.0-3.mga6
+ Revision: 971006
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.7.0-2.mga6
+ Revision: 888910
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Tue Jun 23 2015 dglent <dglent> 2.7.0-1.mga6
+ Revision: 839968
- Version 2.7.0

* Wed Oct 15 2014 umeabot <umeabot> 2.5.7-2.mga5
+ Revision: 748244
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 2.5.7-1.mga5
+ Revision: 730951
- imported package python-whoosh

